summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVictor Payno <vpayno+gentoo@gmail.com>2020-01-29 12:05:50 -0800
committerPatrick McLean <chutzpah@gentoo.org>2020-01-29 17:18:46 -0800
commit2c7a4e7dbf68e89677f81df56e58fa12167b9104 (patch)
treeb9fd020bea9cec58d8f1df2cf2731eaef46652a3 /dev-lua
parentsci-mathematics/planarity: new package of graph planarity algorithms. (diff)
downloadgentoo-2c7a4e7dbf68e89677f81df56e58fa12167b9104.tar.gz
gentoo-2c7a4e7dbf68e89677f81df56e58fa12167b9104.tar.bz2
gentoo-2c7a4e7dbf68e89677f81df56e58fa12167b9104.zip
dev-lua/lua-openssl: version bump to 0.7.7_p1
Signed-off-by: Victor Payno <vpayno+gentoo@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/14500 Signed-off-by: Patrick McLean <chutzpah@gentoo.org>
Diffstat (limited to 'dev-lua')
-rw-r--r--dev-lua/lua-openssl/Manifest1
-rw-r--r--dev-lua/lua-openssl/lua-openssl-0.7.7_p1.ebuild74
2 files changed, 75 insertions, 0 deletions
diff --git a/dev-lua/lua-openssl/Manifest b/dev-lua/lua-openssl/Manifest
index 496f324f822..d15e732b76b 100644
--- a/dev-lua/lua-openssl/Manifest
+++ b/dev-lua/lua-openssl/Manifest
@@ -1,5 +1,6 @@
DIST lua-openssl-0.7.3.tar.gz 383743 BLAKE2B 2709eed607e6d752488cacd5b96ee4a845f1ec13948fc7e40e45af968f240579b5d96ab69380f87d7edfc8a55aa44b099e9a592891f78a7928d172f5abcbc9fb SHA512 00eea8d4d04e167456a7602ae111cb768db61f7bdf9e0056c424bdcd67618811cd304543f95ecb273c66c6b41779e2fe721cb43bc332765ce77effb6245edbe2
DIST lua-openssl-0.7.7_p0.tar.gz 395094 BLAKE2B a4f8efdce1ad76879f85cd1b467c4cfaa6d4444da60e337a850bf8a521b02e93e3252f0a77c39bfa6bbb01ff1f9af76b63db9e257499278e2f6789c1d0c4965c SHA512 5c659bced2801b9a42a20894261bb10f516ae2cf66206a68249e1c24b73af9df32280640f1379db1a24648852b2a4be1a4b52baee1e18862b538bfff8232fa6d
+DIST lua-openssl-0.7.7_p1.tar.gz 396946 BLAKE2B 58d3bbf0b90a4437d989c5b786e2a44dac86dc40009688753daa81b1e17a14f6a8506e6330ec4a2c360645826c85f83c5ff38642315806b8c5b902206f13510b SHA512 1e470ca0b899fb647215f9c5ed11f8f0e52e662d6ef01c27fe86b9fd1eb833c878d6022455e1867ef844f252d07597eaf6326c686e2eb290c1a98772614ec145
DIST lua-openssl-aux-b56f6937096acea34ddf241ec7ea08ac52414d18.tar.gz 3684 BLAKE2B 78e92c6cc1c2a29b00a9179db71a9404aff40a0e844f2f092b7868bbf98b6f3fa9519c63a2c38304ce2928b007bd4c015c5afa66ca32b1646035ebb949b3c655 SHA512 ba1eaf7c6b58fde48f47146d6c773368484ea10a229d6a45f317bda8d8cc21829ceda68071685f1b071e150936362b934b90532344ebb266febcc0efa45904f4
DIST lua-openssl-compat-a1735f6e6bd17588fcaf98720f0548c4caa23b34.tar.gz 51950 BLAKE2B 16dbf5eb444393f093a5f2cc0fa2a8b394a8b2d62ca36882d02202304a2906b4e2bb87814c1ca198e4b77a9bc27d85627da75244ce9c68c3fd1e06e9262fa970 SHA512 2a8e1d3bb6475225f311995f70417c0620c5efa7384400b2002166daa6fc1baedb32f492dc65cc5b92bf63e850c293a36c1f8aed6e7cf0985e582aa0e52141a8
DIST lua-openssl-compat-daebe77a2f498817713df37f0bb316db1d82222f.tar.gz 51418 BLAKE2B 1d04684e6b6d850bdf6bd3165a90c6a08bd93b757d91e387da152bcb3fc4756db5c16f3cc12ecf33bcdd647742c7923cc2e72627beb5527c5e9dfbfd63c147ba SHA512 60ec9ecfc4e4ad47b6a8189ffb1e7c83fe8b9e9df13cb91bf33725905ab72bff3d3009e8ad04fb73fd7255facdbb8279f20bfd160aee89b12c25431786eaca14
diff --git a/dev-lua/lua-openssl/lua-openssl-0.7.7_p1.ebuild b/dev-lua/lua-openssl/lua-openssl-0.7.7_p1.ebuild
new file mode 100644
index 00000000000..b7c6991cb7f
--- /dev/null
+++ b/dev-lua/lua-openssl/lua-openssl-0.7.7_p1.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+MY_PV="${PV//_p/-}"
+
+DESCRIPTION="OpenSSL binding for Lua"
+HOMEPAGE="https://github.com/zhaozg/lua-openssl"
+LUA_AUX_COMMIT="b56f6937096acea34ddf241ec7ea08ac52414d18"
+LUA_COMPAT_COMMIT="a1735f6e6bd17588fcaf98720f0548c4caa23b34"
+SRC_URI="https://github.com/zhaozg/lua-openssl/archive/${MY_PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/zhaozg/lua-auxiliar/archive/${LUA_AUX_COMMIT}.tar.gz -> ${PN}-aux-${LUA_AUX_COMMIT}.tar.gz
+ https://github.com/keplerproject/lua-compat-5.3/archive/${LUA_COMPAT_COMMIT}.tar.gz -> ${PN}-compat-${LUA_COMPAT_COMMIT}.tar.gz"
+
+LICENSE="MIT openssl PHP-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="libressl luajit"
+
+RDEPEND="
+ luajit? ( dev-lang/luajit:2 )
+ !luajit? ( >=dev-lang/lua-5.1:0 )
+ libressl? ( dev-libs/libressl:0= )
+ !libressl? ( dev-libs/openssl:0=[-bindist] )
+ !dev-lua/luaossl
+ !dev-lua/luacrypto
+ "
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+src_prepare() {
+ rmdir deps/auxiliar deps/lua-compat || die
+ mv "${WORKDIR}/lua-auxiliar-${LUA_AUX_COMMIT}" deps/auxiliar || die
+ mv "${WORKDIR}/lua-compat-5.3-${LUA_COMPAT_COMMIT}" deps/lua-compat || die
+
+ # fixes: deps/auxiliar/auxiliar.c:11:10: fatal error: c-api/compat-5.3.h: No such file or directory
+ ln -sv lua-compat/c-api deps/c-api
+
+ default
+}
+
+src_configure() {
+ tc-export PKG_CONFIG
+ LUA_VERSION="$(${PKG_CONFIG} --variable=$(usex luajit abiver V) $(usex luajit luajit lua))"
+ LUA_CFLAGS="$(${PKG_CONFIG} $(usex luajit luajit lua) --cflags) ${CFLAGS}"
+ LUA_LIBS="$(${PKG_CONFIG} $(usex luajit luajit lua) --libs) ${LDFLAGS}"
+ INSTALL_CMOD="$(${PKG_CONFIG} $(usex luajit luajit lua) --variable=INSTALL_CMOD)"
+ INSTALL_LMOD="$(${PKG_CONFIG} $(usex luajit luajit lua) --variable=INSTALL_LMOD)"
+
+ export LUA_VERSION LUA_CFLAGS LUA_LIBS
+}
+
+src_compile() {
+ emake CC="$(tc-getCC)"
+}
+
+src_test() {
+ emake CC="$(tc-getCC)" test
+}
+
+src_install() {
+ emake PREFIX="${ED}/usr" LUA_LIBDIR="${ED}/${INSTALL_CMOD}" install
+
+ # install lua code as well
+ insinto "${INSTALL_LMOD}"
+ doins -r lib/*
+
+ einstalldocs
+}